------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>28
-- /chgmap 10764 176 274
-- 1.背景为w-arena
-- 2.Usioni在屏幕中（玄冰圣兽外形）在原地释放攻击动作
-- 3.在牛怪周围村民四处移动（大概10个）


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(769, 476)
------------------------------------------------------------
-- Usioni
local nMonster0 = CppScriptMgr:AddPlayer(275, 769, 476, "Usioni",4003000207, 1)
local player0 = CppScriptMgr:AddSimplePlayer(1060650, 762, 469, "InnocentVillager", 4003000300,1)
local player1 = CppScriptMgr:AddSimplePlayer(1060660, 765, 463, "InnocentVillager", 4003000301,1)
local player2 = CppScriptMgr:AddSimplePlayer(1060674, 776, 477, "InnocentVillager", 4003000302,1)
local player3 = CppScriptMgr:AddSimplePlayer(1060686, 782, 484, "InnocentVillager", 4003000303,1)
local player4 = CppScriptMgr:AddSimplePlayer(1060914, 775, 489, "InnocentVillager", 4003000304,1)
local player5 = CppScriptMgr:AddSimplePlayer(1061080, 767, 490, "InnocentVillager", 4003000305,1)
local player6 = CppScriptMgr:AddSimplePlayer(1061090, 757, 482, "InnocentVillager", 4003000306,1)
CppScriptMgr:WaitMilSec(100)

-- .在牛怪周围村民四处移动（大概10个）
player0:RunTo(747,445)
player0:Say("Monsters! Help!", 2000)
player1:RunTo(758,443)
player1:Say("Run!", 2000)
player2:RunTo(789,463)
player2:Say("Help!", 2000)
player3:RunTo(789,463)
player3:Say("Help me!", 2000)
player4:RunTo(789,463)
player4:Say("Ahhhhhhhh!", 2000)
player5:RunTo(753,492)
player5:Say("Monsters!", 2000)
player6:RunTo(753,492)
player6:Say("Help!", 2000)
CppScriptMgr:WaitMilSec(3000)
